Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class Grfhic

    java.lang.Object
      org.apache.poi.hwpf.model.types.GrfhicAbstractType
          org.apache.poi.hwpf.model.Grfhic

    public class Grfhic

extends GrfhicAbstractType

The grfhic structure is a set of HTML incompatibility flags that specify the HTML incompatibilities of a list structure. The values specify possible incompatibilities between an LVL or LVLF and HTML lists. The values do not define list properties.

Class and fields descriptions are quoted from [MS-DOC] -- v20110315 Word (.doc) Binary File Format specification

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  Sergey Vladimirov; according to [MS-DOC] -- v20110315 Word (.doc) Binary File Format specification

Constructor Summary
`Grfhic()`
`Grfhic(byte[] bytes, int offset)`

Method Summary
`byte[]` | `toByteArray()`

Methods inherited from class org.apache.poi.hwpf.model.types.GrfhicAbstractType
`equals, getGrfhic, getSize, hashCode, isFHtmlBuiltInBullet, isFHtmlChecked, isFHtmlFirstLineMismatch, isFHtmlHangingIndentBeneathNumber, isFHtmlListTextNotSharpDot, isFHtmlNotPeriod, isFHtmlTabLeftIndentMismatch, isFHtmlUnsupported, serialize, serialize, setFHtmlBuiltInBullet, setFHtmlChecked, setFHtmlFirstLineMismatch, setFHtmlHangingIndentBeneathNumber, setFHtmlListTextNotSharpDot, setFHtmlNotPeriod, setFHtmlTabLeftIndentMismatch, setFHtmlUnsupported, setGrfhic, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Grfhic

    public Grfhic()

### Grfhic

    public Grfhic(byte[] bytes,
                  int offset)

Method Detail

### toByteArray

    public byte[] toByteArray()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD